--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.7, 0.32, 0.02, "Taste Numpad 0: Info Einschalten");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.69, 0.30, 0.02, "Taste Numpad 0: Info Abschalten");
		renderText(0.69, 0.54, 0.02, "- Fendt 900 Vario Info -");
		renderText(0.69, 0.52, 0.02, "Numpad Enter: 1x: Zuendung ein - 2x: Motor an/aus");
		renderText(0.69, 0.50, 0.02, "Taste U: Allrad zuschalten");
		renderText(0.69, 0.48, 0.02, "Taste Z: Zwillingsbereifung");
		renderText(0.69, 0.46, 0.02, "Taste 7,8: Standgas Mehr/Weniger");
		renderText(0.69, 0.44, 0.02, "Numpad 1: Blinker Links");
		renderText(0.69, 0.42, 0.02, "Numpad 2: Warnblinker");
		renderText(0.69, 0.40, 0.02, "Numpad 3: Blinker Rechts");
        renderText(0.69, 0.38, 0.02, "Numpad 4: Arbeitslicht vorne an/aus");
		renderText(0.69, 0.36, 0.02, "Numpad 5: Arbeitslicht hinte an/aus");
		renderText(0.69, 0.34, 0.02, "Numpad 7: Tuer Auf/Zu");
		renderText(0.69, 0.32, 0.02, "Numpad 8: Fenster Auf/Zu");

	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




